Subject: RE: bug#13333: 24.3.50; (emacs) `Minibuffer History'

From: "Drew Adams" <[email-masked]>
Date: Wed, 2 Jan 2013 16:38:24 -0800

> >  You can think of this as moving through the "future history" list.
> 
> "future history" is a misnomer.

Yes.

> > There is no logical connection between the set of default values
> 
> "default values" is a misnomer.
> 
> There can be only one default value that it used when the user enters
> empty input in the minibuffer.  Other values are not "defaults".
> 
> In most applications similar functionality is called "suggestions"
> where a drop-down list of suggestions is displayed while the user
> types a query into a text box.  This feature is documented at
> http://en.wikipedia.org/wiki/Search_suggest_drop-down_list
> 
> Thus I propose to enhance the documentation by replacing the term
> DEFAULTS with (DEFAULT . SUGGESTIONS) where DEFAULT will retain
> its original meaning of the value returned for empty input
> and SUGGESTIONS is a list of suggestions available via `M-n'.

I agree with your suggestion.  But please propose it to everyone at emacs-devel.

And please leave this bug open, unless you also correct the problems it
addresses.

(Yes, if your suggestion is implemented that will change some of the text of
this node.  But let's please get all of the problems mentioned taken care of,
whether or not the suggestion gets done.)